/**
 * audio_decoder_mp3_http.h: The mp3 decoder via http
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef AUDIO_DECODER_MP3_HTTP_H_
#define AUDIO_DECODER_MP3_HTTP_H_

#include "audio_decoder_mp3.h"
#include <Sockets/SocketHandler.h>
#include <Sockets/HttpGetSocket.h>

class cHttpMp3Decoder : public cMp3Decoder, public HttpGetSocket
{
public:
	cHttpMp3Decoder( ISocketHandler& );
	virtual ~cHttpMp3Decoder( );
private:
	virtual unsigned long GetDataFromSource( uint8_t *data,
												const unsigned long count );
	virtual void OnRead( void );
	virtual void OnDelete( );
	virtual std::string MyUseragent( void );
	cSimpleRingBuffer *mo_NETBuffer;
};

#endif // AUDIO_DECODER_MP3_HTTP_H_
